{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "PBJ_CODE_APP_ETR"; 
            externalType = VARCHAR2; 
            name = pbjCodeAppEtr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_CODE_APP_PAY"; 
            externalType = VARCHAR2; 
            name = pbjCodeAppPay; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_CODE_IMPUTATION"; 
            externalType = VARCHAR2; 
            name = pbjCodeImputation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_CODE_UTILISATEUR"; 
            externalType = VARCHAR2; 
            name = pbjCodeUtilisateur; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = pbjCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_CONSTATATION_CREDIT"; 
            externalType = VARCHAR2; 
            name = pbjConstatationCredit; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_CONSTATATION_DEBIT"; 
            externalType = VARCHAR2; 
            name = pbjConstatationDebit; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_D_MODIFICATION"; 
            externalType = VARCHAR2; 
            name = pbjDModification; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "PBJ_KEY"; 
            externalType = VARCHAR2; 
            name = pbjKey; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_LIBELLE"; 
            externalType = VARCHAR2; 
            name = pbjLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_REGLEMENT_CREDIT"; 
            externalType = VARCHAR2; 
            name = pbjReglementCredit; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_REGLEMENT_DEBIT"; 
            externalType = VARCHAR2; 
            name = pbjReglementDebit; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PBJ_TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = pbjTemValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        pbjKey, 
        pbjCodeAppPay, 
        pbjCodeAppEtr, 
        pbjLibelle, 
        pbjCommentaire, 
        pbjConstatationDebit, 
        pbjConstatationCredit, 
        pbjReglementDebit, 
        pbjReglementCredit, 
        pbjCodeImputation, 
        pbjTemValide, 
        pbjCodeUtilisateur, 
        pbjDModification
    ); 
    className = "org.cocktail.kaki.server.metier.EOPoemsBj"; 
    classProperties = (
        pbjCodeAppPay, 
        pbjCodeAppEtr, 
        pbjLibelle, 
        pbjCommentaire, 
        pbjConstatationDebit, 
        pbjConstatationCredit, 
        pbjReglementDebit, 
        pbjReglementCredit, 
        pbjCodeImputation, 
        pbjTemValide, 
        pbjCodeUtilisateur, 
        pbjDModification, 
        pbjKey
    ); 
    externalName = "GRHUM.POEMS_BJ"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pbjCodeAppPay, 
            pbjCodeAppEtr, 
            pbjLibelle, 
            pbjCommentaire, 
            pbjConstatationDebit, 
            pbjConstatationCredit, 
            pbjReglementDebit, 
            pbjReglementCredit, 
            pbjCodeImputation, 
            pbjTemValide, 
            pbjCodeUtilisateur, 
            pbjDModification, 
            pbjKey
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPoemsBj"; 
    }; 
    name = PoemsBj; 
    primaryKeyAttributes = (pbjKey); 
}
